#!/usr/bin/env ruby
 
require 'rubygems'
require "bundler/setup"
require 'commander/import'
 
program :name, "Ruby CLI"
program :version, '1.0.0'
program :description, 'A simple cli that does nothing'
 
command :extract do |c|
       c.syntax = 'ruby-cli extract foo -bar=123'
       c.description = 'Extract foo and bar'
       c.option '--bar STRING', String, 'Option bar with a string'
       c.action do |args, options|
               options.default :bar => 'BAR'
               puts 'Extracting..'
               puts "Args: #{args}"
               puts "Option Bar: #{options.bar}"
       end
end